#!/bin/sh

# This script will untar the XFree86 3.3.6 sources and apply the
# patches necessary to compile an XFCom server for the i815 chipset.
# download the X336src-[123].tgz from
# ftp://ftp.xfree86.org/pub/XFree86/3.3.6/source/
# into an empty directory. Place this file and the 815 patch file
# in this directory.
# Then execute this script. This will make the entire X distribution
# for installation details see the www.xfree86.org web site.
# Note: the X server will be called XF86_SVGA not XFCom_i810 as is the
# case with the binary only distribution.


######################################################################
# ROOT is the directory where you want to build the server
ROOT=XFree3.3.6

mkdir $ROOT
cd $ROOT
for i in 1 2 3; do
    tar zxvf ../X336src-$i.tgz
done

cat ../XFCom_i810-1.2.patch | patch -p0

cd xc
echo '#define XF86SvgaDrivers i810' >> config/cf/host.def
make World >& world.log

